Functions
Data Access
Peripheral Driver » LL Driver » MSIO » Functions

## Functions
__STATIC_INLINE uint32_t | ll_msio_read_input_port (void)
| Return full input data register value of MSIO. More...
__STATIC_INLINE uint32_t | ll_msio_is_input_pin_set (uint32_t pin_mask)
| Return if input data level of several MSIO pins is high or low. More...
__STATIC_INLINE void | ll_msio_write_output_port (uint32_t port_value)
| Write output data register of MSIO. More...
__STATIC_INLINE uint32_t | ll_msio_read_output_port (void)
| Return full output data register value of MSIO. More...
__STATIC_INLINE uint32_t | ll_msio_is_output_pin_set (uint32_t pin_mask)
| Return if input data level of several MSIO pins is high or low. More...
__STATIC_INLINE void | ll_msio_set_output_pin (uint32_t pin_mask)
| Set specified MSIO pins to high level. More...
__STATIC_INLINE void | ll_msio_reset_output_pin (uint32_t pin_mask)
| Set specified MSIO pins to low level. More...
__STATIC_INLINE void | ll_msio_toggle_pin (uint32_t pin_mask)
| Toggle data value of specified MSIO pins. More...

## Detailed Description

## Function Documentation

## ◆ ll_msio_is_input_pin_set()

__STATIC_INLINE uint32_t ll_msio_is_input_pin_set | ( | uint32_t | pin_mask | ) |

Return if input data level of several MSIO pins is high or low.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | MSIO_REG0 | MSIO_C | +———————-+———————————–+ \endrst

Parameters

  pin_mask | This parameter can be a combination of the following values: LL_MSIO_PIN_0 LL_MSIO_PIN_1 LL_MSIO_PIN_2 LL_MSIO_PIN_3 LL_MSIO_PIN_4 LL_MSIO_PIN_ALL

Return values

  State | of bit (1 or 0).

Definition at line 601 of file gr55xx_ll_msio.h.

## ◆ ll_msio_is_output_pin_set()

__STATIC_INLINE uint32_t ll_msio_is_output_pin_set | ( | uint32_t | pin_mask | ) |

Return if input data level of several MSIO pins is high or low.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | MSIO_PAD_CFG_0 | IN | +———————-+———————————–+ \endrst

Parameters

  pin_mask | This parameter can be a combination of the following values: LL_MSIO_PIN_0 LL_MSIO_PIN_1 LL_MSIO_PIN_2 LL_MSIO_PIN_3 LL_MSIO_PIN_4 LL_MSIO_PIN_ALL

Return values

  State | of bit (1 or 0).

Definition at line 663 of file gr55xx_ll_msio.h.

## ◆ ll_msio_read_input_port()

__STATIC_INLINE uint32_t ll_msio_read_input_port | ( | void |  | ) |

Return full input data register value of MSIO.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | MSIO_REG0 | MSIO_C | +———————-+———————————–+ \endrst

Return values

  Input | data register value of port

Definition at line 576 of file gr55xx_ll_msio.h.

## ◆ ll_msio_read_output_port()

__STATIC_INLINE uint32_t ll_msio_read_output_port | ( | void |  | ) |

Return full output data register value of MSIO.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | MSIO_PAD_CFG_0 | IN | +———————-+———————————–+ \endrst

Return values

  Output | data register value of port

Definition at line 638 of file gr55xx_ll_msio.h.

## ◆ ll_msio_reset_output_pin()

__STATIC_INLINE void ll_msio_reset_output_pin | ( | uint32_t | pin_mask | ) |

Set specified MSIO pins to low level.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | MSIO_PAD_CFG_0 | IN | +———————-+———————————–+ \endrst

Parameters

  pin_mask | This parameter can be a combination of the following values: LL_MSIO_PIN_0 LL_MSIO_PIN_1 LL_MSIO_PIN_2 LL_MSIO_PIN_3 LL_MSIO_PIN_4 LL_MSIO_PIN_ALL

Return values

  None |

Definition at line 714 of file gr55xx_ll_msio.h.

## ◆ ll_msio_set_output_pin()

__STATIC_INLINE void ll_msio_set_output_pin | ( | uint32_t | pin_mask | ) |

Set specified MSIO pins to high level.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | MSIO_PAD_CFG_0 | IN | +———————-+———————————–+ \endrst

Parameters

  pin_mask | This parameter can be a combination of the following values: LL_MSIO_PIN_0 LL_MSIO_PIN_1 LL_MSIO_PIN_2 LL_MSIO_PIN_3 LL_MSIO_PIN_4 LL_MSIO_PIN_ALL

Return values

  None |

Definition at line 689 of file gr55xx_ll_msio.h.

## ◆ ll_msio_toggle_pin()

__STATIC_INLINE void ll_msio_toggle_pin | ( | uint32_t | pin_mask | ) |

Toggle data value of specified MSIO pins.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | MSIO_PAD_CFG_0 | IN | +———————-+———————————–+ \endrst

Parameters

  pin_mask | This parameter can be a combination of the following values: LL_MSIO_PIN_0 LL_MSIO_PIN_1 LL_MSIO_PIN_2 LL_MSIO_PIN_3 LL_MSIO_PIN_4 LL_MSIO_PIN_ALL

Return values

  None |

Definition at line 739 of file gr55xx_ll_msio.h.

## ◆ ll_msio_write_output_port()

__STATIC_INLINE void ll_msio_write_output_port | ( | uint32_t | port_value | ) |

Write output data register of MSIO.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | MSIO_PAD_CFG_0 | IN | +———————-+———————————–+ \endrst

Parameters

  port_value | Level value for each pin of the port

Return values

  None |

Definition at line 620 of file gr55xx_ll_msio.h.